Đến nội dung


Hình ảnh
- - - - -

[Yêu Cầu] Lisp chọn nhanh các đối tượng khi vừa thực hiện một lệnh.


  • Please log in to reply
9 replies to this topic

#1 kid_a2pbc

kid_a2pbc

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 28 September 2012 - 03:21 PM

Mọi người có thể viết giúp mình lisp chọn nhanh các đối tượng khi vừa thực hiện một lệnh xong được ko?
Ví dụ: Mình vừa vẽ xong một loạt đường thẳng bằng lệnh Line . Mình gõ lệnh bằng của lisp đó thì nó sẽ chọn hết các đường Line vừa vẽ.
Xin cám ơn!:)
  • 0

#2 avi612

avi612

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 28 September 2012 - 03:43 PM

Sau khi thao tác với 1 số đối tượng nào đó thì khi thực hiện lệnh tiếp theo đến bước chọn đối tượng bạn dùng phím "P" để chọn lại nó.
  • 0

#3 kid_a2pbc

kid_a2pbc

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 28 September 2012 - 03:59 PM

Xin lỗi, nhưng mình ko rõ ý bạn nói, mình có thử nhưng ko được, bạn có thể nói rõ hơn được ko?:D
  • 0

#4 avi612

avi612

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 28 September 2012 - 04:44 PM

Ví dụ:
Bạn dùng lệnh Move để move 100 đối tượng đến 1 vị trí khác.
Tiếp theo, bạn lại đổi vị trí của 100 đối tượng đó đến 1 vị trí khác.
Bạn gõ lệnh Move-->Enter, chọn phím P là nó chọn lại cho bạn 100 đối tượng ban đầu.
  • 1

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 28 September 2012 - 05:08 PM

Mọi người có thể viết giúp mình lisp chọn nhanh các đối tượng khi vừa thực hiện một lệnh xong được ko?
Ví dụ: Mình vừa vẽ xong một loạt đường thẳng bằng lệnh Line . Mình gõ lệnh bằng của lisp đó thì nó sẽ chọn hết các đường Line vừa vẽ.
Xin cám ơn! :)

1./ Lisp đánh dấu : trước khi vẽ Line, hay sinh ra các đối tượng khác :
(defun c:dau() (setq entla (entlast)))
2./ Vẽ line, vẽ ....
3./ Lisp lấy đối tượng vẽ tính từ khi đánh dấu
(defun c:lay(/ ss) (sssetfirst nil (acet-ss-new entla)))
  • 2

#6 kid_a2pbc

kid_a2pbc

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 28 September 2012 - 05:12 PM

Cái này mình đã thử và Ok rồi, cám ơn bạn!:) . Nhưng mình muốn thế này thì làm sao hả bạn : Chẳng hạn mình vừa vẽ xong 10 đường Line, mình muốn chọn ngay 10 đường Line vừa vẽ để thay đổi Layer or bất kỳ thao tác khác đối với 10 đường Line đó? thì dùng như bạn ko được.:D
  • 0

#7 avi612

avi612

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 28 September 2012 - 05:21 PM

Vậy thì phím P là cách bạn cần làm đó.
  • 1

#8 kid_a2pbc

kid_a2pbc

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 28 September 2012 - 05:21 PM

OK! được rồi bác ạ. cám ơn bác Tue_NV nhiều!:D
  • 0

#9 kid_a2pbc

kid_a2pbc

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 28 September 2012 - 05:41 PM

Nếu có thể, thì bác Tue_NV giải thích hộ em từng câu lệnh được ko à?em muốn tìm hiểu tí.Cám ơn bác!:D
  • 0

#10 avi612

avi612

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 28 September 2012 - 10:01 PM

bạn vào Help của nó, tìm đến đúng tên lệnh....đọc diễn giải của nó là hiểu thôi.
  • 0